# BaseLogger Class Reference
[Various accompanying utilities]

Inheritance diagram for BaseLogger:
[legend]

List of all members.

## Public Member Functions

| setLevel (LogLevel $level)
| getLevel ()
| log (LogLevel $level, $message)
| logRecord (LogRecord $record)
| severe ($message)
| warning ($message)
| info ($message)
| config ($message)
| fine ($message)
| finer ($message)
| finest ($message)

## Protected Member Functions

| publish (LogRecord $record)
| isLoggable (LogRecord $record)
| you may override me

## Private Attributes

| $level = null

## Detailed Description

Definition at line 15 of file BaseLogger.class.php.

## Member Function Documentation

BaseLogger::config | ( | $ | message | ) | `[final]`

Returns:
  Logger

Definition at line 112 of file BaseLogger.class.php.

References LogLevel::config(), and log().

Here is the call graph for this function:

BaseLogger::fine | ( | $ | message | ) | `[final]`

Returns:
  Logger

Definition at line 122 of file BaseLogger.class.php.

References LogLevel::fine(), and log().

Here is the call graph for this function:

BaseLogger::finer | ( | $ | message | ) | `[final]`

Returns:
  Logger

Definition at line 132 of file BaseLogger.class.php.

References LogLevel::finer(), and log().

Here is the call graph for this function:

BaseLogger::finest | ( | $ | message | ) | `[final]`

Returns:
  Logger

Definition at line 142 of file BaseLogger.class.php.

References LogLevel::finest(), and log().

Here is the call graph for this function:

BaseLogger::getLevel | ( |  | ) |

Returns:
  LogLevel

Definition at line 37 of file BaseLogger.class.php.

BaseLogger::info | ( | $ | message | ) | `[final]`

Returns:
  Logger

Definition at line 102 of file BaseLogger.class.php.

References LogLevel::info(), and log().

Here is the call graph for this function:

BaseLogger::isLoggable | ( | LogRecord $ | record | ) | `[protected]`

you may override me

Definition at line 74 of file BaseLogger.class.php.

Referenced by logRecord().

BaseLogger::log | ( | LogLevel $ | level,
|  | $ | message |
| ) |  |  | `[final]`

Returns:
  Logger

Definition at line 45 of file BaseLogger.class.php.

References LogRecord::create(), logRecord(), and setLevel().

Referenced by config(), fine(), finer(), finest(), info(), severe(), and warning().

Here is the call graph for this function:

BaseLogger::logRecord | ( | LogRecord $ | record | ) | `[final]`

Returns:
  Logger

Definition at line 59 of file BaseLogger.class.php.

References LogRecord::getLevel(), isLoggable(), and publish().

Referenced by log().

Here is the call graph for this function:

BaseLogger::publish | ( | LogRecord $ | record | ) | `[abstract, protected]`

Returns:
  Logger

Reimplemented in StreamLogger.

Referenced by logRecord().

BaseLogger::setLevel | ( | LogLevel $ | level | ) |

Returns:
  Logger

Definition at line 27 of file BaseLogger.class.php.

Referenced by log().

BaseLogger::severe | ( | $ | message | ) | `[final]`

Returns:
  Logger

Definition at line 82 of file BaseLogger.class.php.

References log(), and LogLevel::severe().

Here is the call graph for this function:

BaseLogger::warning | ( | $ | message | ) | `[final]`

Returns:
  Logger

Definition at line 92 of file BaseLogger.class.php.

References log(), and LogLevel::warning().

Here is the call graph for this function:

## Member Data Documentation

BaseLogger::$level = null`[private]`

Definition at line 17 of file BaseLogger.class.php.

The documentation for this class was generated from the following file:

- main/Utils/Logging/BaseLogger.class.php